<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.ruoyi</groupId>
        <artifactId>ruoyi-solon</artifactId>
        <version>${ruoyi-solon.version}</version>
    </parent>

    <artifactId>ruoyi-common</artifactId>
    <description>通用模块</description>

    <dependencies>
        <!-- 数据校验 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>solon-security-validation</artifactId>
        </dependency>
        <!-- MyBatis-Flex -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>mybatis-flex-solon-plugin</artifactId>
        </dependency>
        <!-- mybatis分页插件 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>mybatis-pagehelper-solon-plugin</artifactId>
        </dependency>
        <!-- redisson -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>redisson-solon-plugin</artifactId>
        </dependency>
        <!-- Office文档操作 -->
        <dependency>
            <groupId>org.noear</groupId>
            <artifactId>easypoi-solon-plugin</artifactId>
            <exclusions>
                <exclusion>
                    <groupId>org.noear</groupId>
                    <artifactId>easypoi-wps-solon</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <!-- sa-token -->
        <dependency>
            <groupId>cn.dev33</groupId>
            <artifactId>sa-token-solon-plugin</artifactId>
            <version>${sa-token.version}</version>
        </dependency>
        <!-- sa-token-dao数据持久化 -->
        <dependency>
            <groupId>cn.dev33</groupId>
            <artifactId>sa-token-redisson</artifactId>
            <version>${sa-token.version}</version>
        </dependency>
        <dependency>
            <groupId>cn.dev33</groupId>
            <artifactId>sa-token-snack3</artifactId>
            <version>${sa-token.version}</version>
        </dependency>

        <!-- hutool工具 - JSON实现 -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-json</artifactId>
        </dependency>
        <!-- hutool工具 - 加密解密模块 -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-crypto</artifactId>
        </dependency>

        <!-- lombok -->
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <scope>provided</scope>
        </dependency>
    </dependencies>

</project>